const mongoose = require('mongoose')

const advertisingTypeSchema = new mongoose.Schema({
  name: {
    type: String,
    required: true,
    trim: true,
    minLength: 1,
    maxLength: 255
  },
  price: {
    type: Number,
    required: true,
    trim: true,
    minLength: 1,
    maxLength: 255
  },
  status: {
    type: String,
    default: 'active'
  }
})

const AdvertisingTypeModel = mongoose.model('AdvertisingType', advertisingTypeSchema)
module.exports = AdvertisingTypeModel
